Page MenuHomePhabricator

ContentTranslation incorrectly adapts the French template {{Article}} to {{La}} in English
Closed, ResolvedPublic

Description

This is a spinoff from T98018:

  • Translate Élage Diouf from French to English.
  • Click the first paragraph under the "Biographie" heading (El Hadji Fall Diouf est né à Dakar au Sénégal...).
  • Publish.

Expected: The footnote in the end of this paragraph uses {{Article}} in the French Wikipedia, which corresponds to {{Cite journal}} in the English Wikipedia, so I'd expect to see it there.
Observed: It is adapted to {{Template:La}}, which has at least two problems: it's an instance of T98018, and it's the wrong template.

Event Timeline

Amire80 created this task.Sep 16 2015, 10:01 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 10:01 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 16 2015, 10:05 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 5:48 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 6:56 AM

Actually, it's probably an instance of T125579.

Change 292911 had a related patch set uploaded (by Santhosh):
Templates: Use wikidata to find find template in target wiki

https://gerrit.wikimedia.org/r/292911

santhosh claimed this task.Jun 6 2016, 11:45 AM
santhosh moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 4 board.

Change 292911 merged by Nikerabbit:
Templates: Use wikidata to find template in target wiki

https://gerrit.wikimedia.org/r/292911

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 14 2016, 6:56 AM
Arrbee raised the priority of this task from Normal to High.
Arrbee lowered the priority of this task from High to Normal.
santhosh closed this task as Resolved.Aug 12 2016, 10:21 AM